Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
[Java] Class AntlrASTProcessSnippets

    java.lang.Object
      org.codehaus.groovy.antlr.AntlrASTProcessSnippets

All Implemented Interfaces:
  AntlrASTProcessor

    public class AntlrASTProcessSnippets
    extends Object

Process to decorate antlr AST with ending line/col info, and if possible the snipppet of source from the start/end line/col for each node.

Authors:
  Jeremy Rayner

Version:
  \$Revision: 12448 \$

Constructor Summary
`AntlrASTProcessSnippets()`

Method Summary
`AST` | `process(AST t)` decorate antlr AST with ending line/col info, and if possible the snipppet of source from the start/end line/col for each node.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AntlrASTProcessSnippets

    public AntlrASTProcessSnippets()

Method Detail

### process

    public AST process(AST t)

  decorate antlr AST with ending line/col info, and if possible the snipppet of source from the start/end line/col for each node.
  Parameters:
    `t` - the AST to decorate
  Returns:
    the decorated AST

Copyright © 2003-2010 The Codehaus. All rights reserved.